com.brightcove.ima

## Class DefaultAdDisplayContainerFactory

- java.lang.Object
- - com.brightcove.ima.DefaultAdDisplayContainerFactory

- All Implemented Interfaces:
    AdDisplayContainerFactory

      public class DefaultAdDisplayContainerFactory
      extends java.lang.Object
      implements AdDisplayContainerFactory

  The Default implementation of `AdDisplayContainerFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultAdDisplayContainerFactory(android.view.ViewGroup viewGroup)` Creates an instance of `AdDisplayContainerFactory`, where the ViewGroup provided as the constructor parameter will be used for the `AdDisplayContainer`creation.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.ads.interactivemedia.v3.api.AdDisplayContainer` | `createAdDisplayContainer(GoogleIMAVideoAdPlayer googleIMAVideoAdPlayer)` Creates the `AdDisplayContainer` with the provided `GoogleIMAVideoAdPlayer` and the ViewGroup retrieved with `AdDisplayContainerFactory.getViewContainer()`
    `android.view.ViewGroup` | `getViewContainer()` Returns the `ViewGroup` container used for both, the creation of the `GoogleIMAVideoAdPlayer` and the `AdDisplayContainer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultAdDisplayContainerFactory

          public DefaultAdDisplayContainerFactory(@NonNull
                                                  android.view.ViewGroup viewGroup)

      Creates an instance of `AdDisplayContainerFactory`, where the ViewGroup provided as the constructor parameter will be used for the `AdDisplayContainer`creation.

      Parameters:
        `viewGroup` - the ad view container

  - ### Method Detail

    - #### createAdDisplayContainer

          public com.google.ads.interactivemedia.v3.api.AdDisplayContainer createAdDisplayContainer(GoogleIMAVideoAdPlayer googleIMAVideoAdPlayer)

      Description copied from interface: `AdDisplayContainerFactory`

      Creates the `AdDisplayContainer` with the provided `GoogleIMAVideoAdPlayer` and the ViewGroup retrieved with `AdDisplayContainerFactory.getViewContainer()`

      Specified by:
        `createAdDisplayContainer` in interface `AdDisplayContainerFactory`
      Parameters:
        `googleIMAVideoAdPlayer` - the Brightcove Ad Player for Google IMA

    - #### getViewContainer

          public android.view.ViewGroup getViewContainer()

      Description copied from interface: `AdDisplayContainerFactory`

      Returns the `ViewGroup` container used for both, the creation of the `GoogleIMAVideoAdPlayer` and the `AdDisplayContainer`

      Specified by:
        `getViewContainer` in interface `AdDisplayContainerFactory`